Package org.apache.wiki

# Class ProductUpdateChecker.UpdateStatus

java.lang.Object
org.apache.wiki.ProductUpdateChecker.UpdateStatus

Enclosing class:
  ProductUpdateChecker

public static class ProductUpdateChecker.UpdateStatus extends Object

## Constructor Summary

Constructors
Constructor
Description
`UpdateStatus()`

## Method Summary

Modifier and Type
Method
Description
`ProductUpdateChecker.Status`
`getIsUpToDate()`
`long`
`getLastestVersionReleaseDate()`
`String`
`getLatestVersion()`
`long`
`getTimeStampOfLastCheck()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UpdateStatus

public UpdateStatus()

## Method Details

### getIsUpToDate

public ProductUpdateChecker.Status getIsUpToDate()

### getLatestVersion

public String getLatestVersion()

### getLastestVersionReleaseDate

public long getLastestVersionReleaseDate()

### getTimeStampOfLastCheck

public long getTimeStampOfLastCheck()